package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.PublicFundManager;
import com.tanpu.fund.entity.generator.PublicFundManagerExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface PublicFundManagerMapper {
    long countByExample(PublicFundManagerExample example);

    int deleteByExample(PublicFundManagerExample example);

    /**
     * delete by primary key
     *
     * @param tsCode primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(@Param("tsCode") String tsCode, @Param("annDate") String annDate, @Param("name") String name, @Param("endDate") String endDate);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(PublicFundManager record);

    int insertOrUpdate(PublicFundManager record);

    int insertOrUpdateSelective(PublicFundManager record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(PublicFundManager record);

    List<PublicFundManager> selectByExample(PublicFundManagerExample example);

    /**
     * select by primary key
     *
     * @param tsCode primary key
     * @return object by primary key
     */
    PublicFundManager selectByPrimaryKey(@Param("tsCode") String tsCode, @Param("annDate") String annDate, @Param("name") String name, @Param("endDate") String endDate);

    int updateByExampleSelective(@Param("record") PublicFundManager record, @Param("example") PublicFundManagerExample example);

    int updateByExample(@Param("record") PublicFundManager record, @Param("example") PublicFundManagerExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(PublicFundManager record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(PublicFundManager record);

    int updateBatch(List<PublicFundManager> list);

    int batchInsert(@Param("list") List<PublicFundManager> list);
}